# Getting Started with Empower Helper (Typescript)
1. Date Time Formatter


## 1) datetimeFormatter
### Initialization
```js
import {datetimeFormatter} from 'empower-helper';
```
### Usage
1st parameter is a datetime string e.g. 2022-11-04 11:11:25+00 and 2nd parameter can be the following with corresponding returns
<table border="1">
<tr><th><b>2nd parameter</b></th><th><b>Expected return</b></th></tr>
<tr><td>'datetime'</td><td>"Fri, 04 Nov 2022 at 11:11 AM"</td></tr>
<tr><td>'datetime-no-at'</td><td>"Fri, 04 Nov 2022, 11:11 AM"</td></tr>
<tr><td>'datetime-no-day'</td><td>"04 Nov 2022 at 11:11 AM"</td></tr>
<tr><td>'date'</td><td>"Fri, 04 Nov 2022"</td></tr>
<tr><td>'inquiry-date-standard'</td><td>"04 Nov 2022"</td></tr>
<tr><td>'date-standard'</td><td>"2022-11-04"</td></tr>
<tr><td>'datetime-standard'</td><td>"2022-11-04 11:11"</td></tr>
<tr><td>'datetime-standard-full'</td><td>"2022-11-04 11:11:00"</td></tr>
<tr><td>'day-fulldate'</td><td>"Friday 04 Nov 2022"</td></tr>
<tr><td>'full-year'</td><td>2022</td></tr>
<tr><td>'full-month'</td><td>"November"</td></tr>
<tr><td>'month-year'</td><td>"Nov 2022"</td></tr>
<tr><td>'full-month-year'</td><td>"November 2022"</td></tr>
<tr><td>'datetime-format-forPosting'</td><td>"2022-11-04T03:11:25Z"</td></tr>
<tr><td>'month-day-year'</td><td>"November 04, 2022"</td></tr>
<tr><td>'time'</td><td>"11:11 AM"</td></tr>
<tr><td>'month-numeric'</td><td>11</td></tr>
<tr><td>'month-shortName'</td><td>"Nov"</td></tr>
<tr><td>'day-numeric'</td><td>4</td></tr>
<tr><td>'day-calendar'</td><td>"04"</td></tr>
<tr><td>'month-first-date'</td><td>"2022-11-01"</td></tr>
<tr><td>'month-last-date'</td><td>"2022-11-30"</td></tr>
<tr><td>'day-name'</td><td>"Fri"</td></tr>
<tr><td>'day-name-full'</td><td>"Friday"</td></tr>
<tr><td>'month-day'</td><td>"11-04"</td></tr>
<tr><td>'time-standard'</td><td>"11:11"</td></tr>
<tr><td>'notif-date'</td><td>"04-Nov-2022"</td></tr>
<tr><td>'year-month'</td><td>"2022-11"</td></tr>
<tr><td>'datetime-utc'</td><td>"2022-11-04 00:00:00+00"</td></tr>
<tr><td>'datetime-utc-semifull'</td><td>"2022-11-04 11:11:25+00"</td></tr>
<tr><td>'datetime-file-format'</td><td>"2022-1141111251"</td></tr>
<tr><td>'datetime-file-format-generator'</td><td>"2022-11-04_11:11:25"</td></tr>
</table>

```js
{datetimeFormatter('2022-11-04 11:11:25+00', 'datetime')}
```
## Changelog
* **0.1.1**  - Initial publish, added the datetimeFormatter function.
