import { datetimeFormatter } from './Formatter';
export var wrongPhToUtcConversion = function (phTime) {
    if (phTime && phTime.constructor === String) {
        var sub = phTime.substring(0, 19);
        var utcDatetime = new Date("".concat(sub, "+08")).toLocaleString('en-US', { timeZone: 'UTC' });
        var formattedDatetime = datetimeFormatter(utcDatetime, 'datetime-utc-semifull');
        return formattedDatetime;
    }
    else {
        return null;
    }
};
export var utcToOtherTimezoneConversion = function (utc, tz) {
    if (utc && (utc.constructor === String || utc.constructor === Date)) {
        var convertedDate = void 0;
        if (utc.constructor === String) {
            var searchRegExp = /[/]/gi;
            var replaceWith = '-';
            var utcReplaced = utc.replace(searchRegExp, replaceWith);
            utcReplaced = utcReplaced.replace(" UTC ", "");
            convertedDate = new Date(utcReplaced).toLocaleString('en-US', { timeZone: tz });
        }
        else {
            convertedDate = new Date(utc).toLocaleString('en-US', { timeZone: tz });
        }
        return datetimeFormatter(convertedDate, 'datetime-standard');
    }
    else {
        return null;
    }
};
export var countryToUtcConversion = function (phTime, gmt) {
    var sub = phTime.substring(0, 19);
    var utcDatetime = new Date("".concat(sub).concat(gmt)).toLocaleString('en-US', { timeZone: 'UTC' });
    var formattedDatetime = datetimeFormatter(utcDatetime, 'datetime-utc-semifull');
    return formattedDatetime;
};
export var requestDateConversion = function (date, offSet, tz) {
    if (date && (date.constructor === String || date.constructor === Date)) {
        var requestDate = date + " 00:00:00 " + offSet;
        var minutes = 1439; //declaring the total number of minutes in 23hours,59minutes
        var convertedFromRequestDate = utcToOtherTimezoneConversion(requestDate, tz);
        var currentDate = new Date(requestDate); // just need this to add 1439 minutes
        var convertedToRequestDate = new Date(currentDate.getTime() + minutes * 60000);
        convertedToRequestDate = utcToOtherTimezoneConversion(convertedToRequestDate, tz);
        return {
            from: convertedFromRequestDate,
            to: convertedToRequestDate
        };
    }
    else {
        return null;
    }
};
export var preferredTzToDefaultTimezone = function (dateTime, tz, tzOffset, isDateOnly) {
    if (isDateOnly === void 0) { isDateOnly = false; }
    if (dateTime && (dateTime.constructor === String || dateTime.constructor === Date)) {
        if (isDateOnly) {
            //getting the time first then adding it on the date only value
            var dt = utcToOtherTimezoneConversion('2022/01/02 00:00:00 +00', tz);
            if (dt) {
                var prefferedTime = datetimeFormatter(dt, 'time');
                return utcToOtherTimezoneConversion(dateTime + ' ' + prefferedTime + ' ' + tzOffset, 'Asia/Manila');
            }
        }
        else {
            return utcToOtherTimezoneConversion(dateTime + ' ' + tzOffset, 'Asia/Manila');
        }
    }
    else {
        return null;
    }
};
