
import type { Config } from '@jest/types'


const config = {
	roots: [
		"src/__tests__"
	],
	transform: {
		"^.+\\.(ts|tsx|js)$": "babel-jest",
		// "^.+\\.scss$": 'jest-scss-transform',
	},
	setupFilesAfterEnv: [
		"@testing-library/react",
		"@testing-library/jest-dom",
		"@testing-library/jest-dom/extend-expect"
	],
	moduleFileExtensions: ["ts", "tsx", "js", "jsx", "json", "node"],
	verbose: true,
	testEnvironment: "jsdom",
	reporters: [
		"default",
		["jest-html-reporters", {
			"publicPath": "./html-report",
			"filename": "unit-testing.html",
			"openReport": true
		}]
	]
}

export default config

